<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.core.biz.dao.TscAnswerPhaseDao">

	<!-- 답변문구 조회 -->
	<select id="getAnswerPhase" parameterType="Integer" resultType="AnswerPhase">
		/* TscAnswerPhase.getAnswerPhase */
		 SELECT ANS_TITLE   /*답변제목*/
		      , ANS_CONTENT /*답변내용*/
		      , KAKAO_CD    /*카카오템플릿코드*/
		      , BUTTON_NM   /*버튼명*/
		      , BUTTON_URL  /*버튼URL*/
		FROM    TB_ANS_PHASE
		WHERE   ANS_SQ = #{ansSq}
		AND     USE_YN = 'Y'
	</select>

	<!-- 문의용 답변문구 조회 -->
	<select id="getQnaAnswerPhase" parameterType="AnswerPhase" resultType="AnswerPhase">
		/* TscAnswerPhase.getQnaAnswerPhase */
		SELECT ANS_SQ      /*답변일련번호*/
		     , ANS_TITLE   /*답변제목*/
		     , ANS_CONTENT /*답변내용*/
		     , KAKAO_CD    /*카카오템플릿코드*/
		     , BUTTON_NM   /*버튼명*/
		     , BUTTON_URL  /*버튼URL*/
		FROM   TB_ANS_PHASE
		WHERE  ANS_SQ = #{ansSq}
		AND    ANS_CLSF = #{ansClsf}
		AND    USE_YN = 'Y'
	</select>

</mapper>